/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 */
using System;

namespace TopCoder.Test.Framework.Servers
{

    /// <summary>
    /// <p>
    /// This exception is derived from ApplicationException.
    /// This exception is thrown by the classes derived from Server class,
    /// when any error happen while processing.
    /// It is also thrown by the ServerElement class, when it fails to create
    /// a corresponding class derived from Server.
    /// </p>
    /// </summary>
    ///
    /// <author>real_vg</author>
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (c) 2006, TopCoder, Inc. All rights reserved.</copyright>
    public class ServerException : ApplicationException
    {

        /// <summary>
        /// <p>Constructs an exception with the error message string.</p>
        /// </summary>
        /// <param name='message'>the human-readable error message string, can be null.</param>
        public ServerException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// <p>Constructs an exception with the error message string and inner exception.</p>
        /// </summary>
        /// <param name='message'>the human-readable error message string, can be null.</param>
        /// <param name='innerException'>the exception, which caused this exception, can be null.</param>
        public ServerException(string message, Exception innerException)
            : base(message, innerException)
        {
        }
    }

}

