/*
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved.
 */

namespace TopCoder.Test.Framework.Servers
{

    /// <summary>
    /// This class is a mock class of <c>DatabaseServer</c> used for test.
    /// </summary>
    ///
    /// <author>TCSDEVELOPER</author>
    /// <version>1.0</version>
    /// <copyright>Copyright (c) 2006, TopCoder, Inc. All rights reserved.</copyright>
    public class MockDatabaseServer : DatabaseServer
    {
        /// <summary>
        /// StartUp flag.
        /// </summary>
        private bool startUp = false;

        /// <summary>
        /// ShutDown flag.
        /// </summary>
        private bool shutDown = false;

        /// <summary>
        /// InitData flag.
        /// </summary>
        private bool initData = false;

        /// <summary>
        /// CleanUpData flag.
        /// </summary>
        private bool cleanUpData = false;

        /// <summary>
        /// StartUp flag.
        /// </summary>
        /// <value>StartUp flag</value>
        public bool IsStartUp
        {
            get
            {
                return startUp;
            }
        }

        /// <summary>
        /// ShutDown flag.
        /// </summary>
        /// <value>ShutDown flag</value>
        public bool IsShutDown
        {
            get
            {
                return shutDown;
            }
        }

        /// <summary>
        /// InitData flag.
        /// </summary>
        /// <value>InitDate flag</value>
        public bool IsInitData
        {
            get
            {
                return initData;
            }
        }

        /// <summary>
        /// CleanUpData flag.
        /// </summary>
        /// <value>CleanUpData flag</value>
        public bool IsCleanUpData
        {
            get
            {
                return cleanUpData;
            }
        }


        /// <summary>
        /// Dummy constructor.
        /// </summary>
        public MockDatabaseServer()
            : base()
        {
        }


        /// <summary>
        /// Empty dummy method.
        /// </summary>
        public override void StartUp()
        {
            startUp = true;
        }

        /// <summary>
        /// Empty dummy method.
        /// </summary>
        public override void ShutDown()
        {
            shutDown = true;
        }

        /// <summary>
        /// Empty dummy method.
        /// </summary>
        public override void InitData()
        {
            initData = true;
        }

        /// <summary>
        /// Empty dummy method.
        /// </summary>
        public override void CleanUpData()
        {
            cleanUpData = true;
        }

    }
}
